/*
 *  $Id: isend.c,v 1.7 1993/11/12 12:35:07 doss Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */


#ifndef lint
static char vcid[] = "$Id: isend.c,v 1.7 1993/11/12 12:35:07 doss Exp $";
#endif /* lint */

#include "mpi.h"

/*@
    MPI_Isend - Starts a nonblocking send
@*/
MPI_Isend( start, count, datatype, dest, tag, comm, handle )
void             *start;
int              count;
MPI_Datatype     datatype;
int              dest;
int              tag;
MPI_Comm comm;
MPI_Comm_request *handle;
{
    MPI_Comm_Init( handle, datatype, dest, tag, comm,
		   MPI_STANDARD, MPI_PERSISTENT);
    (*handle)->shandle.bufadd = start;
    (*handle)->shandle.count = count;
    MPI_Start( *handle );
}
